summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2018-06-08 22:16:08 +0200
committerMichael Weber <xmw@gentoo.org>2018-06-08 22:16:08 +0200
commit5d4ec08566d245cfcd3108ce950db4249ae08a97 (patch)
tree77b7973307799b38c243285d890f3eae518e4bef /dev-util/pycharm-professional
parentdev-util/pycharm-community: Version bump. (diff)
downloadgentoo-5d4ec08566d245cfcd3108ce950db4249ae08a97.tar.gz
gentoo-5d4ec08566d245cfcd3108ce950db4249ae08a97.tar.bz2
gentoo-5d4ec08566d245cfcd3108ce950db4249ae08a97.zip
dev-util/pycharm-professional: Version bump.
Closes: https://github.com/gentoo/gentoo/pull/8709 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-util/pycharm-professional')
-rw-r--r--dev-util/pycharm-professional/Manifest1
-rw-r--r--dev-util/pycharm-professional/pycharm-professional-2018.1.4.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-util/pycharm-professional/Manifest b/dev-util/pycharm-professional/Manifest
index 9349aa7a8d3..35617e83b37 100644
--- a/dev-util/pycharm-professional/Manifest
+++ b/dev-util/pycharm-professional/Manifest
@@ -1 +1,2 @@
DIST pycharm-professional-2017.3.4.tar.gz 356283723 BLAKE2B 3d2abed57f0459e49034a6b081c69008628ec8a16322ce90e15e0a42c670554ea4eca66b73279ea0f9aeac116dc86e8d52590861d712ccdf93d2be31c2d1211e SHA512 8adc3c46b50c4ed895d0d40b0c235a047fcac7e4ab5262aa88ba69deffa9402b652bc69ec1ee3d7682900698d14bb2ecb7f82a89f998979c009fcadb98ef4517
+DIST pycharm-professional-2018.1.4.tar.gz 348483306 BLAKE2B d03950a8d91c726f175c51fe512fdedef32a26fc39881ff4651ff09f277e9b7b3c053754e391c760856507b64b0a57128092a9fef5b7d2ab5fbfaac47f3216d2 SHA512 e45623fc0127a5f919015937853a4364344b01f586d5a63cf3605f0eac773228f02326c0714e2c25eb490431716f2b794e191aa01149a07ab87c067f1ff3ce3b
diff --git a/dev-util/pycharm-professional/pycharm-professional-2018.1.4.ebuild b/dev-util/pycharm-professional/pycharm-professional-2018.1.4.ebuild
new file mode 100644
index 00000000000..5dc7e67e051
--- /dev/null
+++ b/dev-util/pycharm-professional/pycharm-professional-2018.1.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils readme.gentoo-r1 xdg
+
+DESCRIPTION="Intelligent Python IDE with unique code assistance and analysis"
+HOMEPAGE="http://www.jetbrains.com/pycharm/"
+SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz"
+
+LICENSE="PyCharm_Academic PyCharm_Classroom PyCharm PyCharm_OpenSource PyCharm_Preview"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=virtual/jre-1.8
+ dev-python/pip"
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/${PN}/bin/fsnotifier
+ opt/${PN}/bin/fsnotifier64
+ opt/${PN}/bin/fsnotifier-arm
+ opt/${PN}/bin/libyjpagent-linux.so
+ opt/${PN}/bin/libyjpagent-linux64.so"
+
+MY_PN=${PN/-professional/}
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ default
+
+ rm -rf jre || die
+}
+
+src_install() {
+ insinto /opt/${PN}
+ doins -r *
+
+ fperms a+x /opt/${PN}/bin/{pycharm.sh,fsnotifier{,64},inspect.sh}
+
+ dosym ../../opt/${PN}/bin/pycharm.sh /usr/bin/${PN}
+ newicon bin/${MY_PN}.png ${PN}.png
+ make_desktop_entry ${PN} ${PN} ${PN}
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_icon_cache_update
+}